Alteryx Designer Ideas

Share your Designer product ideas - we're listening!
Submitting an Idea?

Be sure to review our Idea Submission Guidelines for more information!

Submission Guidelines
Nominations are open for the Alteryx Excellence Awards through March 26! We want to celebrate the impact you've had and give you the visibility you deserve! Make your submission here.

save as / open as Version

When saving an alteryx module (yxmd, yxmc, yxwz, yxzp), can we have a simple "SAVE AS" function that allows us to choose the version number?  Conversely, could we open a newer version module with a warning message rather than an error?

 

In either case there would be the logical CAVEAT that certain functions or features may not be compatible with the save/open function.

 

Thanks,

Mark

14 Comments
SeanAdams
16 - Nebula
16 - Nebula

Agree with you 100% Mark - a simple "this is written in a newer version - do you want to try anyway Yes/No" would be a big help.    The text "I can't open this version" is so common on the discussion boards, this is very needed.

patrick_digan
16 - Nebula
16 - Nebula

I think this is a great idea.

AngelaRovetto
7 - Meteor

I need to be able to save workflows as a prior version to enable end users with the lower version of Designer to be able to open and run them. I have attempted the version tricks (editing the backup file and changing the version) but I can't get it to work in a way that is realistic for my end users to be able to handle. I have also downloaded a couple of "downgrade" apps from the Gallery but they're so old they didn't work (even with some tailoring).

 

In our organization, I have a higher version because I was testing it. However, I am also a developer and need to be able to get workflows written that are compatible with at least the last version (i.e. I'm on 2018.2 and our users are currently on 2018.1). I really think there needs to be an easier way to be able to save as a different version (and possibly warn if there are tools within the workflow that are not available on the prior version).

JoannaP
5 - Atom

I'm not sure if this is going to help you, but the trick I use to 'downgrade' saved (in newer Alteryx version) workflows, is to first open the workflow in Notepad, change the version at the top of the code and save (make sure you don't use Notepad as your default program). Then you can open the workflow in the older version. It's not complicated once you tried it once. The other option is for the end user to download the newest version online, as it should be free to do once you have a license.

 

Hope this helps.

J

AngelaRovetto
7 - Meteor

100% yes! I desperately need this functionality. Would be great to allow the open with a warning/caveat that certain tools may not be available. I've tried several workaround and I haven't been able to get this to work in a way that my end users can reasonably deal with.

Tyler_npd
5 - Atom

I agree this would be a great addition.

 

However there is a workaround!

 

  1. Locate the workflow in your files.
  2. Right-click and "Open With" your text editor of choice.
  3. On the second line of the text you should see a version EX: ***<AlteryxDocument yxmdVer="2018.3">***
  4. You can change the version number (2018.3 in this example) to whichever version you would like the workflow to open in.
  5. Save and close
  6. Open in Alteryx Designer

Given that the version you are changing it to has all the same tools as the version you actually created the workflow on, you should not have a problem

ksoykan001
6 - Meteoroid

Very good idea, especially when opening .yxzp files, which defaults to an error rather than a warning, since there is no workaround to open a .yxzp file created in newer versions by simply opening and editing version number in text editor.

lnguyen
7 - Meteor

As with any new update, it is best to use the latest version to create workflows.  But in practice, desktop version and server version might not be the same for whatever reason.  Would it be possible to add the option to save the workflow downward compatible or the option to save it in the same version as the server?

veronicasimoes
8 - Asteroid

Any update about this feature ?

lnguyen
7 - Meteor

No update yet